> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# restore-tenant

> Restore an archived tenant.



## OpenAPI

````yaml /api-reference/membrane-api.json post /tenants/{elementSelector}/restore
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /tenants/{elementSelector}/restore:
    post:
      summary: restore-tenant
      description: Restore an archived tenant.
      operationId: restoreTenant
      parameters:
        - name: elementSelector
          in: path
          required: true
          schema:
            type: string
            description: Tenant id or key.
      responses:
        '200':
          description: Restore an archived tenant.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  meta:
                    type: object
                    additionalProperties: {}
                  key:
                    type: string
                  kind:
                    type: string
                    enum:
                      - member
                      - operator
                      - virtual
                  isReadOnly:
                    type: boolean
                  fields:
                    type: object
                    additionalProperties: {}
                  credentials: {}
                  lastActiveAt:
                    type: string
                  isTest:
                    type: boolean
                  isBillable:
                    type: boolean
                  isActive:
                    type: boolean
                  aiCreditsRolling30DayLimit:
                    nullable: true
                    type: number
                    minimum: 0
                  createdAt:
                    type: string
                  archivedAt:
                    type: string
                required:
                  - id
                  - name
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````